%define name	xrally
%define version 1.1
%define release 1mdk

Summary:	A clone of the Rally X arcade game
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	ftp://ftp.linuxgames.com/xrally/%{name}-%{version}.tar.bz2
Source4:	%{name}.menu

Copyright:	GPL
Group:		Games/Arcade
BuildRequires:	XFree86-devel xpm-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Patch: xrally-fix-configure-for-RPM_OPT_FLAGS.patch.bz2

%description
XRally is a clone of the Rally X arcade game.

In Rally X, you control a blue car which has to run through a maze-like level
collecting flags and avoiding colliding with enemy (red) cars. In order to
protect itself, the blue car can discharge clouds of smoke which stun the enemy
cars for a while. The enemy cars can also crash into each other, what gives you
some extra time.

One of the main features of XRally is that it is fully customizable. You can
create custom tilesets and levels and load them at run time, changing the entire
look of the game (you could, for instance, create a water tileset, using boats
instead of cars).

%prep
%setup -n %{name}
%patch0 -p1

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_menudir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO %{name}.lsm
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/*

%changelog
* Sun Jan  7 2001 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new version

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 1.0-2mdk
- fix RPM_OPT_FLAGS not used

* Mon Oct 23 2000 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- new version

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre5.1mdk
- new version

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.pre3.5mdk
- Fix menu entry

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-0.pre3.4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre3.3mdk
- rebuild with clean clean_menus

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre3.2mdk
- BM

* Wed Jul 12 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre3.1mdk
- new version

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9-4mdk
- Use tmppath macros.
- Use makeinstall macros.

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.9-3mdk
- fix menu (tx2gege)

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- add menu

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 0.9-1mdk
- new version

* Sun Feb 13 2000 Pixel <pixel@mandrakesoft.com> 0.8-1mdk
- initial spec


# end of file
